<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <GeneratePackageOnBuild>true</GeneratePackageOnBuild>
    <Platforms>x64</Platforms>
    <Version>2.0.0.11</Version>
    <Authors>Paulo Leal</Authors>
    <Description>Basis for the ioc layer of the Harpy Framework</Description>
    <PackageLicenseExpression>MIT</PackageLicenseExpression>
    <PackageProjectUrl>https://gitlab.com/dotnet-myth/harpy-framework/harpy</PackageProjectUrl>
    <RepositoryUrl>https://gitlab.com/dotnet-myth/harpy-framework/harpy</RepositoryUrl>
    <PackageIcon>logo.png</PackageIcon>
    <PackageOutputPath>$(AppData)/NuGet/Packages</PackageOutputPath>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="AutoMapper" Version="11.0.1" />
    <PackageReference Include="AutoMapper.Extensions.ExpressionMapping" Version="5.0.0" />
    <PackageReference Include="AutoMapper.Extensions.Microsoft.DependencyInjection" Version="11.0.0" />
    <PackageReference Include="FluentMigrator.Runner" Version="3.3.2" />
    <PackageReference Include="FluentValidation" Version="10.3.6" />
    <PackageReference Include="Hangfire" Version="1.7.28" />
    <PackageReference Include="MediatR" Version="10.0.1" />
    <PackageReference Include="MediatR.Extensions.Microsoft.DependencyInjection" Version="10.0.1" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="6.0.2" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.InMemory" Version="6.0.2" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Proxies" Version="6.0.2" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Relational" Version="6.0.2" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="6.0.0" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="6.0.0" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Myth.DependencyInjection" Version="2.0.0.11" />
    <PackageReference Include="Myth.OData" Version="2.0.0.11" />
    <PackageReference Include="Harpy.Domain" Version="2.0.0.11" />
    <PackageReference Include="Harpy.Application" Version="2.0.0.11" />
    <!--<PackageReference Include="Harpy.Bus" Version="2.0.0.11" />-->
    <PackageReference Include="Harpy.Context" Version="2.0.0.11" />
    <PackageReference Include="Harpy.Repository" Version="2.0.0.11" />
    <PackageReference Include="Microsoft.FeatureManagement.AspNetCore" Version="2.4.0" />
  </ItemGroup>

  <ItemGroup>
    <None Include="..\logo.png">
      <Pack>True</Pack>
      <PackagePath></PackagePath>
    </None>
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Harpy.Bus\Harpy.Bus.csproj" />
  </ItemGroup>

</Project>
